var qtdeMostrada = -qtdeCarregar;

function carregarDadosPositivCliProd() {
	if ($("#filtrovendedorpositivcliprod").val() == "") {
		alert("Informe o vendedor");
		return;
	}
	
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;

	if (document.getElementById('tabelarelpositivcliprod').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}

	$('#divtabelapositivcliprod').css('display', 'none'); 

	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	
	$.post('positivcliprod/relpositivcliprod.php',
		{
			codvendedor: $("#filtrovendedorpositivcliprod").val(),
			grupo: $("#filtrogrupopositivcliprod").val(),
			subgrupo: $("#filtrosubgrupopositivcliprod").val(),
			familia: $("#filtrofamiliapositivcliprod").val(),
			codcliente: $('#codfiltroclientepositivcliprod').val(),
			codproduto: $('#codfiltroprodutopositivcliprod').val(),
			dataini: $('#datainipositivcliprod').val(),
			datafin: $('#datafinpositivcliprod').val(),
			modelo: $('#positivcliprodmodelo').val(), 
			agruparpor: $('#positivcliprodagrupar').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar //qtdeCarregar em dadosJS.js
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelpositivcliprod').childNodes[3].innerHTML += data;
				$("#tabelarelpositivcliprod").table("refresh");	
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelpositivcliprod").click();
			}
		}
	);
	$('#divtabelapositivcliprod').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopPositivCliProd);
}

function scrollStopPositivCliProd() {
	checkScroll(carregarDadosPositivCliOrid, "relpositivcliprod"); //checkScroll em dadosJS.js
}

$.mobile.document
	.on('click', '#botaovisualizarpositivcliprod', function(event){
		qtdeMostrada = -qtdeCarregar;
		carregarDadosPositivCliProd();
	})
	
	.on('click', '#voltarrelpositivcliprod', function(){
		$("#tabelarelpositivcliprod tbody tr").remove();
	})

	.on('pageshow', '#relpositivcliprod', function() {
		$(document).on('scrollstop', scrollStopPositivCliProd);		
	})
	
	.on('change', '#filtrogrupopositivcliprod', function(){
		var codgrupo = $('#filtrogrupopositivcliprod').val();
		if(codgrupo != ""){
			$.post('lookups/lkpsubgrupos.php',
				{
					codgrupo: codgrupo
				},
				function(data){
					$("#filtrosubgrupopositivcliprod option").remove();
					$("#filtrosubgrupopositivcliprod").append(data);
					$("#filtrosubgrupopositivcliprod").selectmenu('refresh');
				}
			)
		}
	})
	
	.on('pagebeforecreate', '#positivcliprod', function() {
		geraLkp($("#filtrovendedorpositivcliprod"), 'lookups/lkpvendedores.php');
		geraLkp($("#filtrofamiliapositivcliprod"), 'lookups/lkpfamilias.php');
		geraLkp($("#filtrogrupopositivcliprod"), 'lookups/lkpgrupos.php');
		geraAutocomplete('#autocomplete-filtroclientepositivcliprod', 'lookups/lkpclientes.php', '#filtroclientepositivcliprod', '#codfiltroclientepositivcliprod');
		geraAutocomplete('#autocomplete-filtroprodutopositivcliprod', 'lookups/lkpprodutos.php', '#filtroprodutopositivcliprod', '#codfiltroprodutopositivcliprod');	
	})
	
	;